# Uses of Interface
org.xml.sax.ext.LexicalHandler

Packages that use LexicalHandler
Package
Description
javax.xml.transform.sax
Provides SAX specific transformation classes.
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.

## Uses of LexicalHandler in javax.xml.transform.sax

Subinterfaces of LexicalHandler in javax.xml.transform.sax
Modifier and Type
Interface
Description
`interface`
`TransformerHandler`
A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.
Methods in javax.xml.transform.sax that return LexicalHandler
Modifier and Type
Method
Description
`LexicalHandler`
SAXResult.`getLexicalHandler()`
Get a SAX2 `LexicalHandler` for the output.
Methods in javax.xml.transform.sax with parameters of type LexicalHandler
Modifier and Type
Method
Description
`void`
SAXResult.`setLexicalHandler(LexicalHandler handler)`
Set the SAX2 `LexicalHandler` for the output.

## Uses of LexicalHandler in org.xml.sax.ext

Classes in org.xml.sax.ext that implement LexicalHandler
Modifier and Type
Class
Description
`class`
`DefaultHandler2`
This class extends the SAX2 base handler class to support the SAX2 `LexicalHandler`, `DeclHandler`, and `EntityResolver2` extensions.